ZIP_GET_NAME(3)

NAME
zip_get_name - get name of file by index

LIBRARY
libzip (-lzip)

SYNOPSIS
#include <zip.h>

const char * zip_get_name(struct zip *archive, int index, int flags);

DESCRIPTION
The zip_get_name function returns the name of the file at position index in archive. If flags is set to ZIP_FL_UNCHANGED, the original unchanged filename is returned. The returned string must not be modified or freed, and becomes invalid when archive is closed.

RETURN VALUES
Upon successful completion, a pointer to the name is returned. Otherwise, NULL and the error code in archive is set to indicate the error.

ERRORS
zip_get_name fails if:

    [ZIP_ER_DELETED]
        index refers to a file that has been deleted (see zip_delete(3) ).

    [ZIP_ER_INVAL]
        index is not a valid file index in archive, or index points to an added file and ZIP_FL_UNCHANGED is set.

SEE ALSO
libzip(3), zip_name_locate(3)

AUTHORS

Dieter Baron <dillo@giga.or.at> and Thomas Klausner <tk@giga.or.at>